---
apiVersion: imageregistry.operator.openshift.io/v1
kind: Config
metadata:
  creationTimestamp: "2022-03-08T10:43:50Z"
  finalizers:
  - imageregistry.operator.openshift.io/finalizer
  generation: 4
  managedFields:
  - apiVersion: imageregistry.operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:managementState: {}
        f:storage:
          f:emptyDir: {}
    manager: kubectl-patch
    operation: Update
    time: "2022-03-08T11:01:08Z"
  - apiVersion: imageregistry.operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers: {}
      f:spec:
        .: {}
        f:logLevel: {}
        f:observedConfig: {}
        f:operatorLogLevel: {}
        f:proxy: {}
        f:replicas: {}
        f:requests:
          .: {}
          f:read:
            .: {}
            f:maxWaitInQueue: {}
          f:write:
            .: {}
            f:maxWaitInQueue: {}
        f:rolloutStrategy: {}
        f:storage: {}
        f:unsupportedConfigOverrides: {}
      f:status:
        .: {}
        f:conditions: {}
        f:generations: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
        f:storage:
          .: {}
          f:emptyDir: {}
          f:managementState: {}
        f:storageManaged: {}
    manager: cluster-image-registry-operator
    operation: Update
    time: "2022-03-08T11:01:09Z"
  name: cluster
  resourceVersion: "26792"
  selfLink: /apis/imageregistry.operator.openshift.io/v1/configs/cluster
  uid: 3463ac09-7dc9-4612-8449-328066e9c034
spec:
  httpSecret: ca718a383ba5d87b187ac5ec8f37f2adddfeb1bc7ababfaf052a4955abe4300bf51d180c7ef41a45cf40bbdc9fb633de9755af3baa4470591f4b0b0e6424cac9
  logLevel: Normal
  managementState: Managed
  observedConfig: null
  operatorLogLevel: Normal
  proxy: {}
  replicas: 1
  requests:
    read:
      maxWaitInQueue: 0s
    write:
      maxWaitInQueue: 0s
  rolloutStrategy: RollingUpdate
  storage:
    emptyDir: {}
    managementState: Managed
  unsupportedConfigOverrides: null
status:
  conditions:
  - lastTransitionTime: "2022-03-08T10:43:50Z"
    reason: AsExpected
    status: "False"
    type: ImageConfigControllerDegraded
  - lastTransitionTime: "2022-03-08T10:43:50Z"
    reason: AsExpected
    status: "False"
    type: ImageRegistryCertificatesControllerDegraded
  - lastTransitionTime: "2022-03-08T10:43:50Z"
    reason: AsExpected
    status: "False"
    type: NodeCADaemonControllerDegraded
  - lastTransitionTime: "2022-03-08T11:01:17Z"
    message: The registry is ready
    reason: Ready
    status: "False"
    type: Progressing
  - lastTransitionTime: "2022-03-08T11:01:15Z"
    message: The registry is ready
    reason: Ready
    status: "True"
    type: Available
  - lastTransitionTime: "2022-03-08T10:43:50Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2022-03-08T11:01:09Z"
    status: "False"
    type: Removed
  - lastTransitionTime: "2022-03-08T11:01:08Z"
    message: EmptyDir storage successfully created
    reason: Creation Successful
    status: "True"
    type: StorageExists
  generations:
  - group: apps
    hash: ""
    lastGeneration: 0
    name: node-ca
    namespace: openshift-image-registry
    resource: daemonsets
  - group: apps
    hash: ""
    lastGeneration: 3
    name: image-registry
    namespace: openshift-image-registry
    resource: deployments
  observedGeneration: 4
  readyReplicas: 0
  storage:
    emptyDir: {}
    managementState: Managed
  storageManaged: true
